Bug 1289124 - mailx secure send option does not support TLSv1.1 or TLSv1.2
mailx secure send option does not support TLSv1.1 or TLSv1.2
Status: CLOSED DUPLICATE of bug 1272504
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mailx (Show other bugs)
6.7
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Nikola Forró
qe-baseos-daemons
:
Depends On:
Blocks: 1253743 1310222
  Show dependency treegraph
 
Reported: 2015-12-07 08:46 EST by Martin Poole
Modified: 2016-02-19 14:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 04:38:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2015-12-07 08:46:30 EST
Description of problem:

mailx secure send option does not support TLSv1.1 or TLSv1.2

Version-Release number of selected component (if applicable):

mailx-12.4-8.el6_6


mailx -t -S smtp=smtps://rhel7-64.example.com:465 -S nss-config-dir=/etc/pki/nssdb


SSL/TLS handshake failed: Peer reports incompatible or unsupported protocol version.


Server

openssl s_server -cert ./rhel7-64.example.com.pem -key ./rhel7-64.example.com.key.nopw -accept 465 -tls1_2
Comment 2 Martin Poole 2015-12-07 12:33:28 EST
This appears to be resolved with the updated NSS packages from

   Enable TLS 1.2 as the default in nss
   https://bugzilla.redhat.com/show_bug.cgi?id=1272504
Comment 3 Nikola Forró 2015-12-08 04:38:41 EST
(In reply to Martin Poole from comment #2)
> This appears to be resolved with the updated NSS packages from
> 
>    Enable TLS 1.2 as the default in nss
>    https://bugzilla.redhat.com/show_bug.cgi?id=1272504
Yes, updating nss fixes this for me too. I'm closing this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.